problem installing roms

Report or discuss software problems and other woes

Moderators: arango, robertson

Post Reply
Message
Author
maxblu33
Posts: 22
Joined: Wed Sep 30, 2015 8:21 pm
Location: Institute of Oceanology of Cuba

problem installing roms

#1 Post by maxblu33 » Thu Oct 22, 2015 7:30 pm

Hello , I already install roms on ubuntu 14.4, but i have trouble installing it in opensusse 12.2 , here is my problem:
johan@MOD-GEO:~/roms/Rutgers/ROMS/App/upwelling> ./build.bash >Build.log
makefile:238: INCLUDING FILE /home/johan/make_macros.mk WHICH CONTAINS APPLICATION-DEPENDENT MAKE DEFINITIONS
make: svnversion: Command not found
makefile:234: INCLUDING FILE /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/make_macros.mk WHICH CONTAINS APPLICATION-DEPENDENT MAKE DEFINITIONS
make: svnversion: Command not found
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libUTIL.a
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libNLM.a
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libNLM_bio.a
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libNLM_sed.a
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libANA.a
ar: creating /home/johan/roms/Rutgers/ROMS/App/upwelling/Build/libMODS.a
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: cannot find -lnetcdff
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: cannot find -lnetcdf
collect2: error: ld returned 1 exit status
make: *** [/home/johan/roms/Rutgers/ROMS/App/upwelling/oceanS] Error 1

any ideas??

User avatar
kate
Posts: 3802
Joined: Wed Jul 02, 2003 5:29 pm
Location: CFOS/UAF, USA

Re: problem installing roms

#2 Post by kate » Thu Oct 22, 2015 7:40 pm

You can make the svnversion warning go away by installing svn - but it's just a warning.

It is looking for the netcdf-fortran library. Did you install that software?

maxblu33
Posts: 22
Joined: Wed Sep 30, 2015 8:21 pm
Location: Institute of Oceanology of Cuba

Re: problem installing roms

#3 Post by maxblu33 » Thu Oct 22, 2015 7:53 pm

i will install subversion, but i don't give to much importance because it was a warning
i installed by myself netcdf 4.1.3, with the following options which i need for my WRF project:
--disable-dap --disable-netcdf-4 --disable-shared
thanks very much for replying

Post Reply